/*
     $Revision$
     $Id$
*/

// Wordt gebruikt in /MGT/fac_widget.js
var onpage_mode = true;

function pre_submit() {
    // Form action aanpassen (id niet meesturen bij het kiezen van een bestaande widget)
    var widget_type = $("#type").val();
    var action = $("form[name=u2]").attr("action");
    if (widget_type == "WGT")
    {
        $("form[name=u2]").attr("action", action.replace(/id=\d+/, "id=-1"));
    }
    return true;
}

function wgt_delete() {
    FcltMgr.confirm(L("fac_widget_del_txt"), function () {
        FcltMgr.closeDetail(window, { delete: true });
    });
}